<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net5.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWPF>true</UseWPF>
    <UseWindowsForms>true</UseWindowsForms>
    <ApplicationIcon>Resources\Images\hbl.ico</ApplicationIcon>
  </PropertyGroup>

  <!--<PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <UseWPF>true</UseWPF>
    <UseWindowsForms>true</UseWindowsForms>
  </PropertyGroup>-->



  <ItemGroup>
    <None Remove="Resources\Fonts\iconfont.ttf" />
    <None Remove="Resources\Images\acida.ico" />
    <None Remove="Resources\Images\bg.png" />
    <None Remove="Resources\Images\Exit.png" />
    <None Remove="Resources\Images\hbl.ico" />
    <None Remove="Resources\Images\HBL.png" />
    <None Remove="Resources\Images\head_bg.png" />
    <None Remove="Resources\Images\iconfont.ttf" />
    <None Remove="Resources\Images\logo-pic.png" />
    <None Remove="Resources\Images\logo-Text.png" />
    <None Remove="Resources\Images\logo.png" />
    <None Remove="Resources\Images\Rectangle.png" />
    <None Remove="Resources\Images\Scroll_←.png" />
    <None Remove="Resources\Images\Scroll_↑.png" />
    <None Remove="Resources\Images\Scroll_→.png" />
    <None Remove="Resources\Images\Scroll_↓.png" />
    <None Remove="Resources\Images\shape.png" />
    <None Remove="Resources\Images\shape1.png" />
    <None Remove="Resources\Images\Title.png" />
    <None Remove="Resources\Images\title2.png" />
    <None Remove="Resources\Images\titletext.png" />
    <None Remove="Resources\Images\tittle.png" />
    <None Remove="Resources\Images\topTitle.png" />
    <None Remove="Resources\Images\不规则矩形.png" />
    <None Remove="Resources\Images\个人信息.png" />
    <None Remove="Resources\Images\内部.png" />
    <None Remove="Resources\Images\告警.png" />
    <None Remove="Resources\Images\告警\告警.png" />
    <None Remove="Resources\Images\告警\报错.png" />
    <None Remove="Resources\Images\告警\正常.png" />
    <None Remove="Resources\Images\告警\消息.png" />
    <None Remove="Resources\Images\图层1.png" />
    <None Remove="Resources\Images\圆形.png" />
    <None Remove="Resources\Images\圆角矩形 4.png" />
    <None Remove="Resources\Images\圆角矩形.png" />
    <None Remove="Resources\Images\底部背景.png" />
    <None Remove="Resources\Images\搜索按钮.png" />
    <None Remove="Resources\Images\搜索框.png" />
    <None Remove="Resources\Images\文字.png" />
    <None Remove="Resources\Images\日期1.png" />
    <None Remove="Resources\Images\有告警.png" />
    <None Remove="Resources\Images\标题背景.png" />
    <None Remove="Resources\Images\激光线条.png" />
    <None Remove="Resources\Images\矩形.png" />
    <None Remove="Resources\Images\矩形1.png" />
    <None Remove="Resources\Images\矩形样式.png" />
    <None Remove="Resources\Images\竖线.png" />
    <None Remove="Resources\Images\维护.png" />
    <None Remove="Resources\Images\背景.png" />
    <None Remove="Resources\Images\背景图片.png" />
    <None Remove="Resources\Images\背景矢量\内部.png" />
    <None Remove="Resources\Images\背景矢量\可视化后台.png" />
    <None Remove="Resources\Images\背景矢量\右上.png" />
    <None Remove="Resources\Images\背景矢量\右下.png" />
    <None Remove="Resources\Images\背景矢量\左上.png" />
    <None Remove="Resources\Images\背景矢量\左下.png" />
    <None Remove="Resources\Images\背景矢量\矢量智能对象.png" />
    <None Remove="Resources\Images\营销额.png" />
    <None Remove="Resources\Images\表头背景.png" />
    <None Remove="Resources\Images\表格\矩形2609.png" />
    <None Remove="Resources\Images\表格\表格底右.png" />
    <None Remove="Resources\Images\表格\表格底左.png" />
    <None Remove="Resources\Images\表格\表格标题颜色.png" />
    <None Remove="Resources\Images\表格\表格背景.png" />
    <None Remove="Resources\Images\表格\表格选中.png" />
    <None Remove="Resources\Images\表格\表格顶右.png" />
    <None Remove="Resources\Images\表格\表格顶左.png" />
    <None Remove="Resources\Images\表格标题背景2.png" />
    <None Remove="Resources\Images\边框1.png" />
    <None Remove="Resources\Images\边框效果2.png" />
    <None Remove="Resources\Images\边角.png" />
    <None Remove="Resources\Images\退出.png" />
    <None Remove="Resources\Images\退出按钮.png" />
    <None Remove="Resources\Images\阴影边框.png" />
    <None Remove="Resources\Images\顶部矩形.png" />
    <None Remove="Resources\Images\顶部线条.png" />
    <None Remove="Resources\Images\顶部背景.png" />
    <None Remove="Resources\Images\黑菠萝科技.png" />
  </ItemGroup>

  <ItemGroup>
    <COMReference Include="IWshRuntimeLibrary">
      <WrapperTool>tlbimp</WrapperTool>
      <VersionMinor>0</VersionMinor>
      <VersionMajor>1</VersionMajor>
      <Guid>f935dc20-1cf0-11d0-adb9-00c04fd58a0b</Guid>
      <Lcid>0</Lcid>
      <Isolated>false</Isolated>
      <EmbedInteropTypes>true</EmbedInteropTypes>
    </COMReference>
  </ItemGroup>

  <ItemGroup>
    <Content Include="Resources\Images\hbl.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="CalcBinding" Version="2.5.2" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="5.0.14" />
    <PackageReference Include="Microsoft.Toolkit.Mvvm" Version="7.1.2" />
    <PackageReference Include="Microsoft.Web.WebView2" Version="1.0.1108.44" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Resources\Fonts\iconfont.ttf" />
    <Resource Include="Resources\Images\acida.ico" />
    <Resource Include="Resources\Images\bg.png" />
    <Resource Include="Resources\Images\Exit.png" />
    <Resource Include="Resources\Images\hbl.ico" />
    <Resource Include="Resources\Images\HBL.png" />
    <Resource Include="Resources\Images\head_bg.png" />
    <Resource Include="Resources\Images\iconfont.ttf" />
    <Resource Include="Resources\Images\logo-pic.png" />
    <Resource Include="Resources\Images\logo-Text.png" />
    <Resource Include="Resources\Images\logo.png" />
    <Resource Include="Resources\Images\Rectangle.png" />
    <Resource Include="Resources\Images\Scroll_←.png" />
    <Resource Include="Resources\Images\Scroll_↑.png" />
    <Resource Include="Resources\Images\Scroll_→.png" />
    <Resource Include="Resources\Images\Scroll_↓.png" />
    <Resource Include="Resources\Images\shape.png" />
    <Resource Include="Resources\Images\shape1.png" />
    <Resource Include="Resources\Images\Title.png" />
    <Resource Include="Resources\Images\title2.png" />
    <Resource Include="Resources\Images\titletext.png" />
    <Resource Include="Resources\Images\tittle.png" />
    <Resource Include="Resources\Images\topTitle.png" />
    <Resource Include="Resources\Images\不规则矩形.png" />
    <Resource Include="Resources\Images\个人信息.png" />
    <Resource Include="Resources\Images\内部.png" />
    <Resource Include="Resources\Images\告警.png" />
    <Resource Include="Resources\Images\告警\告警.png" />
    <Resource Include="Resources\Images\告警\报错.png" />
    <Resource Include="Resources\Images\告警\正常.png" />
    <Resource Include="Resources\Images\告警\消息.png" />
    <Resource Include="Resources\Images\图层1.png" />
    <Resource Include="Resources\Images\圆形.png" />
    <Resource Include="Resources\Images\圆角矩形 4.png" />
    <Resource Include="Resources\Images\圆角矩形.png" />
    <Resource Include="Resources\Images\底部背景.png" />
    <Resource Include="Resources\Images\搜索按钮.png" />
    <Resource Include="Resources\Images\搜索框.png" />
    <Resource Include="Resources\Images\文字.png" />
    <Resource Include="Resources\Images\日期1.png" />
    <Resource Include="Resources\Images\有告警.png" />
    <Resource Include="Resources\Images\标题背景.png" />
    <Resource Include="Resources\Images\激光线条.png" />
    <Resource Include="Resources\Images\矩形.png" />
    <Resource Include="Resources\Images\矩形1.png" />
    <Resource Include="Resources\Images\矩形样式.png" />
    <Resource Include="Resources\Images\竖线.png" />
    <Resource Include="Resources\Images\维护.png" />
    <Resource Include="Resources\Images\背景.png" />
    <Resource Include="Resources\Images\背景图片.png" />
    <Resource Include="Resources\Images\背景矢量\内部.png" />
    <Resource Include="Resources\Images\背景矢量\可视化后台.png" />
    <Resource Include="Resources\Images\背景矢量\右上.png" />
    <Resource Include="Resources\Images\背景矢量\右下.png" />
    <Resource Include="Resources\Images\背景矢量\左上.png" />
    <Resource Include="Resources\Images\背景矢量\左下.png" />
    <Resource Include="Resources\Images\背景矢量\矢量智能对象.png" />
    <Resource Include="Resources\Images\营销额.png" />
    <Resource Include="Resources\Images\表头背景.png" />
    <Resource Include="Resources\Images\表格\矩形2609.png" />
    <Resource Include="Resources\Images\表格\表格底右.png" />
    <Resource Include="Resources\Images\表格\表格底左.png" />
    <Resource Include="Resources\Images\表格\表格标题颜色.png" />
    <Resource Include="Resources\Images\表格\表格背景.png" />
    <Resource Include="Resources\Images\表格\表格选中.png" />
    <Resource Include="Resources\Images\表格\表格顶右.png" />
    <Resource Include="Resources\Images\表格\表格顶左.png" />
    <Resource Include="Resources\Images\表格标题背景2.png" />
    <Resource Include="Resources\Images\边框1.png" />
    <Resource Include="Resources\Images\边框效果2.png" />
    <Resource Include="Resources\Images\边角.png" />
    <Resource Include="Resources\Images\退出.png" />
    <Resource Include="Resources\Images\退出按钮.png" />
    <Resource Include="Resources\Images\阴影边框.png" />
    <Resource Include="Resources\Images\顶部矩形.png" />
    <Resource Include="Resources\Images\顶部线条.png" />
    <Resource Include="Resources\Images\顶部背景.png" />
    <Resource Include="Resources\Images\黑菠萝科技.png" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\HBLConsole.Debug\HBLConsole.Debug.csproj" />
    <ProjectReference Include="..\HBLConsole.MainConsole\HBLConsole.MainConsole.csproj" />
    <ProjectReference Include="..\HBLConsole.Model\HBLConsole.Model.csproj" />
    <ProjectReference Include="..\HBLConsole.MORKD\HBLConsole.MORKD.csproj" />
    <ProjectReference Include="..\HBLConsole.MORKIC\HBLConsole.MORKIC.csproj" />
    <ProjectReference Include="..\HBLConsole.MORKS\HBLConsole.MORKS.csproj" />
    <ProjectReference Include="..\HBLConsole.PryUserControl\HBLConsole.PryUserControl.csproj" />
    <ProjectReference Include="..\HBLConsole.Service\HBLConsole.Service.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="BPA.Message">
      <HintPath>D:\BPACommon_output\net5.0\BPA.Message.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <None Update="App.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
